"use strict";

// Data here is ultimately scraped from MDN:
// https://github.com/toolness/hacktionary
define(function() { return {
  "short-element-descriptions": {
    "a": "anchor or hyperlink",
    "abbr": "abbreviation",
    "area": "image-map hyperlink",
    "article": "independent article",
    "aside": "tangential content",
    "audio": "embedded audio stream",
    "b": "bold",
    "base": "base URL",
    "bdi": "bi-directional text formatting",
    "bdo": "bi-directional override",
    "bgsound": "background sound",
    "blockquote": "block quotation",
    "body": "document body",
    "br": "line break",
    "button": "interactive button",
    "canvas": "dynamic graphics drawing area",
    "caption": "table caption",
    "cite": "work title",
    "code": "code fragment",
    "col": "table column",
    "colgroup": "table column group",
    "command": "user action control",
    "datalist": "list of predefined options",
    "dd": "definition description",
    "del": "deleted text",
    "details": "on-demand control",
    "dfn": "definition",
    "div": "document division",
    "dl": "definition list",
    "dt": "definition term",
    "em": "emphasis",
    "fieldset": "set of form controls",
    "figcaption": "figure caption",
    "form": "user-submittable form",
    "h1": "heading",
    "h2": "heading",
    "h3": "heading",
    "h4": "heading",
    "h5": "heading",
    "h6": "heading",
    "head": "document metadata container",
    "hgroup": "heading group",
    "hr": "horizontal rule",
    "html": "document root",
    "i": "italics",
    "iframe": "inline frame",
    "img": "image",
    "input": "input form control",
    "ins": "inserted text",
    "kbd": "keyboard input",
    "keygen": "key-pair generator",
    "label": "form control label",
    "legend": "field set legend",
    "li": "list item",
    "link": "metadata for inter-document relationships",
    "map": "image map",
    "mark": "marked text",
    "menu": "list of commands",
    "meta": "metadata",
    "meter": "scalar gauge",
    "nav": "navigation",
    "nobr": "no breaks",
    "noscript": "script fallback content",
    "object": "embedded object",
    "ol": "ordered list",
    "optgroup": "option grouping",
    "option": "option item",
    "output": "calculated result",
    "p": "paragraph",
    "param": "object parameter",
    "pre": "preformatted text",
    "progress": "progress indicator",
    "q": "quotation",
    "samp": "sample text",
    "script": "embedded script",
    "section": "document outline section",
    "select": "selection list",
    "small": "small text",
    "source": "embedded media source",
    "spacer": "layout space",
    "span": "text span",
    "strong": "strong emphasis",
    "style": "CSS style sheet",
    "sub": "subscript",
    "summary": "summary of details",
    "sup": "superscript",
    "table": "tabular data",
    "tbody": "table body",
    "td": "table data cell",
    "textarea": "multi-line text input",
    "tfoot": "table footer",
    "th": "table header cell",
    "thead": "table header",
    "time": "date or time",
    "title": "document title",
    "tr": "table row",
    "tt": "teletype text",
    "u": "underline",
    "ul": "unordered list",
    "var": "variable",
    "video": "embedded video stream",
    "wbr": "word break opportunity"
  },
  "css-property-docs": {
    "animation": "The <code>animation</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand property for <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/animation-name\">animation-name</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/animation-duration\">animation-duration</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/animation-timing-function\">animation-timing-function</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/animation-delay\">animation-delay</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/animation-iteration-count\">animation-iteration-count</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/animation-direction\">animation-direction</a></code>\n.",
    "animation-delay": "The <code>animation-delay</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies when the animation should start. This lets the animation sequence begin some time after it's applied to an element.",
    "animation-direction": "The <code>animation-direction</code> CSS property indicates whether the animation should play in reverse on alternate cycles.",
    "animation-duration": "The <code>animation-duration</code> CSS property specifies the length of time that an animation should take to complete one cycle.",
    "animation-iteration-count": "The <code>animation-iteration-count</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property defines the number of times an animation cycle should be played before stopping.",
    "animation-name": "The <code>animation-name</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies a list of animations that should be applied to the selected element. Each name indicates a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/@keyframes\">@keyframes</a></code>\n at-rule that defines the property values for the animation sequence.",
    "animation-play-state": "The <code>animation-play-state</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property determines whether an animation is running or paused. You can query this property's value to determine whether or not the animation is currently running; in addition, you can set its value to pause and resume playback of an animation.",
    "animation-timing-function": "The <code>animation-timing-function</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies how a CSS animation should progress over the duration of each cycle. The possible values are one or several <span class=\"lang lang-en\"><code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/timing-function\">&lt;timing-function&gt;</a></code>\n </span>.",
    "azimuth": "In combination with<code> elevation</code>, <code>azimuth</code> enables different audio sources to be positioned spatially for aural presentation. This is important in that it provides a natural way to tell several voices apart, as each can be positioned to originate at a different location on the sound stage. Stereo output produce a lateral sound stage, while binaural headphones and multi-speaker setups allow for a fully three-dimensional stage.",
    "backface-visibility": "The <code>backface-visibility</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property determines whether or not the back face of the element is visible when facing the user. The back face of an element always is a transparent background, letting, when visible, a mirror image of the front face be displayed.",
    "background": "The<code> background </code>CSS property is a shorthand for setting the individual background values in a single place in the style sheet.<code> background </code>can be used to set the values for one or more of: <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-color\">background-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-image\">background-image</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-position\">background-position</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-repeat\">background-repeat</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-size\">background-size</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-attachment\">background-attachment</a></code>\n.",
    "background-attachment": "If a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-image\">background-image</a></code>\n is specified, the <code>background-attachment</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property determines whether that image's position is fixed within the viewport, or scrolls along with its containing block.",
    "background-clip": "The<code> background-clip </code>CSS property specifies whether an element's background, either the color or image, extends underneath its border.",
    "background-color": "The <code>background-color</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the background color of an element, either through a color value or the keyword <code>transparent</code>.",
    "background-image": "The<code> background-image </code>CSS property sets the background images for an element. The images are drawn on successive stacking context layers, with the first specified being drawn as if it is the closest to the user. The <a title=\"border\" rel=\"internal\" href=\"https://developer.mozilla.org/cn/CSS/border\">borders</a> of the element are then drawn on top of them, and the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-color\">background-color</a></code>\n is drawn beneath them.",
    "background-origin": "The<code> background-origin </code>CSS property determines the background positioning area, that is the position of the origin of an image specified using the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-image\">background-image</a></code>\n CSS property.",
    "background-position": "The<code> background-position </code>CSS property sets the initial position, relative to the background position layer defined by <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/background-origin\">background-origin</a></code>\n for each defined background image.",
    "background-repeat": "The <code>background-repeat</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property defines how background images are repeated. A background image can be repeated along the horizontal axis, the vertical axis, both, or not repeated at all. When the repetition of the image tiles doesn't let them exactly cover the background, the way adjustments are done can be controlled by the author: by default, the last image is clipped, but the different tiles can instead be re-sized, or space can be inserted between the tiles.",
    "background-size": "The<code> background-size </code>CSS property specifies the size of the background images.",
    "bleed": "This property specifies the extent of the page bleed area outside the page box. This property only has effect if crop marks are enabled.",
    "border": "The <code>border</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand property for setting the individual border property values in a single place in the style sheet. <code>border</code> can be used to set the values for one or more of: <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-width\">border-width</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-style\">border-style</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-color\">border-color</a></code>\n.",
    "border-bottom": "The <code>border-bottom</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand that sets the values of <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-bottom-color\">border-bottom-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-bottom-style\">border-bottom-style</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-bottom-width\">border-bottom-width</a></code>\n. These properties describe the bottom border of elements.",
    "border-bottom-color": "The<code> border-bottom-color </code>CSS property sets the color of the bottom border of an element. Note that in many cases the shorthand CSS properties&nbsp; <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-color\">border-color</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-bottom\">border-bottom</a></code>\n are more convenient and preferable.",
    "border-bottom-left-radius": "The <code>border-bottom-left-radius</code> CSS property sets the rounding of the bottom-left corner of the element. The rounding can be a circle or an ellipse, or if one of the value is <code>0</code> no rounding is done and the corner is square.",
    "border-bottom-right-radius": "The <code>border-bottom-right-radius</code> CSS property sets the rounding of the bottom-right corner of the element. The rounding can be a circle or an ellipse, or if one of the value is <code>0</code> no rounding is done and the corner is square.",
    "border-bottom-style": "The <code>border-bottom-style</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the line style of the bottom border of a box.",
    "border-bottom-width": "The <code>border-bottom-width</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the width of the bottom border of a box.",
    "border-collapse": "The<code> border-collapse </code>CSS property selects a table's border model. This has a big influence on the look and style of the table cells.",
    "border-color": "The<code> border-color </code>CSS property is a shorthand for setting the color of the four sides of an element's border: <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-top-color\">border-top-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-right-color\">border-right-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-bottom-color\">border-bottom-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-left-color\">border-left-color</a></code>\n",
    "border-image": "The<code> border-image </code>CSS property allows drawing an image on the borders of elements. This makes drawing complex looking widgets much simpler than it has been and removes the need for nine boxes in some cases.",
    "border-image-outset": "The <code>border-image-outset </code>property describes, by which amount <dfn id=\"border-image-area\">border image area</dfn> extends beyond the border box.",
    "border-image-repeat": "The <code>border-image-repeat</code> CSS property defines how the middle part of a border image is handled to match the size of the border. It has a one-value syntax which describes the behavior for all sides, and a two-value syntax that sets a different value for the horizontal and vertical behavior.",
    "border-image-source": "The <code>border-image-source</code> CSS property defines the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/image\">&lt;image&gt;</a></code>\n to use instead of the style of the border. If this property is set to <code>none</code>, the style defined by <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-style\">border-style</a></code>\n is used instead.",
    "border-image-width": "The <code>border-image-width</code> CSS property defines the offset to use for dividing the border image in nine parts, the top-left corner, central top edge, top-right-corner, central right edge, bottom-right corner, central bottom edge, bottom-left corner, and central right edge. They represent inward distance from the top, right, bottom and right edges.",
    "border-left": "The <code>border-left</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand that sets the values of <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-left-color\">border-left-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-left-style\">border-left-style</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-left-width\">border-left-width</a></code>\n. These properties describe the left border of elements.",
    "border-left-color": "The<code> border-left-color </code>CSS property sets the color of the bottom border of an element. Note that in many cases the shorthand CSS properties&nbsp; <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-color\">border-color</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-left\">border-left</a></code>\n are more convenient and preferable.",
    "border-left-style": "The <code>border-left-style</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the line style of the left border of a box.",
    "border-left-width": "The <code>border-left-width</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the width of the left border of a box.",
    "border-radius": "The <code>border-radius</code> CSS property allows Web authors to define how rounded border corners are. The curve of each corner is defined using one or two radii, defining its shape: circle or ellipse.",
    "border-right": "The <code>border-right</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand that sets the values of <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-right-color\">border-right-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-right-style\">border-right-style</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-right-width\">border-right-width</a></code>\n. These properties describe the right border of elements.",
    "border-right-color": "The<code> border-right-color </code>CSS property sets the color of the bottom border of an element. Note that in many cases the shorthand CSS properties&nbsp; <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-color\">border-color</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-right\">border-right</a></code>\n are more convenient and preferable.",
    "border-right-style": "The <code>border-right-style</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the line style of the right border of a box.",
    "border-right-width": "The <code>border-right-width</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the width of the right border of a box.",
    "border-spacing": "The <code>border-spacing</code> CSS property specifies the distance between the borders of adjacent cells (only for the <a title=\"en/CSS/border-collapse\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/border-collapse\">separated borders model</a>). This is equivalent to the <code>cellspacing</code> attribute in presentational HTML, but an optional second value can be used to set different horizontal and vertical spacing.",
    "border-style": "The <code>border-style</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand property for setting the line style for all four sides of the elements border.",
    "border-top": "The <code>border-top</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand that sets the values of <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-top-color\">border-top-color</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-top-style\">border-top-style</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-top-width\">border-top-width</a></code>\n. These properties describe the top border of elements.",
    "border-top-color": "The<code> border-top-color </code>CSS property sets the color of the top border of an element. Note that in many cases the shorthand CSS properties&nbsp; <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-color\">border-color</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-top\">border-top</a></code>\n are more convenient and preferable.",
    "border-top-left-radius": "The <code>border-top-left-radius</code> CSS property sets the rounding of the top-left corner of the element. The rounding can be a circle or an ellipse, or if one of the value is <code>0</code> no rounding is done and the corner is square.",
    "border-top-right-radius": "The <code>border-top-right-radius</code> CSS property sets the rounding of the top-right corner of the element. The rounding can be a circle or an ellipse, or if one of the value is <code>0</code> no rounding is done and the corner is square.",
    "border-top-style": "The <code>border-top-style</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the line style of the top border of a box.",
    "border-top-width": "The <code>border-top-width</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property sets the width of the top border of a box.",
    "border-width": "The<code> border-width </code>CSS property sets the width of the border of a box. Using the shorthand property <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border\">border</a></code>\n is often more convenient.",
    "bottom": "The <code>bottom</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property participates in specifying the position of <em>positioned elements</em>.",
    "box-shadow": "The <code>box-shadow</code> CSS property accepts one or more shadow effects as a comma-separated list. It allows casting a drop shadow from the frame of almost any element. If a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/border-radius\">border-radius</a></code>\n is specified on the element with a box shadow, the box shadow takes on the same rounded corners. The z-ordering of multiple box shadows is the same as multiple <a title=\"text-shadow\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/text-shadow\">text shadows</a> (the first specified shadow is on top).",
    "box-sizing": "The<code> box-sizing </code>CSS property is used to alter the default CSS box model used to calculate widths and heights of elements. It is possible to use this property to emulate the behavior of browsers that do not correctly support the CSS box model specification.",
    "caption-side": "The <code>caption-side</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property positions the content of a table's <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/caption\">&lt;caption&gt;</a></code>\n on the specified side.",
    "clear": "The <code>clear</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies whether an element can be next to <a title=\"en/CSS/float\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/float\">floating</a> elements that precede it or must be moved down (cleared) below them.",
    "clip": "The <code>clip</code> CSS property defines what portion of an element is visible. The <code>clip</code> property applies only to elements with <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/position\">position:absolute</a></code>\n.",
    "color": "The <code>color</code> CSS property sets the foreground color of an element's text content",
    "column-count": "The <code>column-count </code>CSS property describes the number of columns of the element.",
    "column-fill": "The <code>column-fill</code> CSS property controls how contents are partitioned into columns. Contents are either balanced, which means that contents in all columns will have the same height or, when using <code>auto</code>, just take up the room the content needs.",
    "column-gap": "The <code>column-gap</code> CSS property sets the size of the gap between columns for elements which are specified to display as a multi-column element.",
    "column-rule": "In multi-column layouts, the <code>column-rule</code> CSS property specifies a straight line, or \"rule\", to be drawn between each column. It is a convenient shorthand to avoid setting each of the individual <code>column-rule-*</code> properties separately : <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-rule-width\">column-rule-width</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-rule-style\">column-rule-style</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-rule-color\">column-rule-color</a></code>\n.",
    "column-rule-color": "The<code> column-rule-color </code>CSS property lets you set the color of the rule drawn between columns in multi-column layouts.",
    "column-rule-style": "The<code> column-rule-style </code>CSS property lets you set the style of the rule drawn between columns in multi-column layouts.",
    "column-rule-width": "The<code> column-rule-width </code>CSS property lets you set the width of the rule drawn between columns in multi-column layouts.",
    "column-span": "The <code>column-span</code> CSS property makes it possible for an element to span across all columns when its value is set to <code>all</code>. An element that spans more than one column is called a <strong>spanning element</strong>.",
    "column-width": "The <code>column-width</code> CSS property suggests an optimal column width. This is not a absolute value but a mere hint. Browser will adjust the width of the column around that suggested value, allowing to achieve scalable designs that fit different screen size. Especially in presence of the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-count\">column-count</a></code>\n CSS property which has precedence, to set an exact column width, all length values must be specified. In horizontal text these are <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/width\">width</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-width\">column-width</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-gap\">column-gap</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-rule-width\">column-rule-width</a></code>\n.",
    "columns": "The <code>columns</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand property allowing to set both the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-width\">column-width</a></code>\n and the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/column-count\">column-count</a></code>\n properties at the same time.",
    "content": "The<code> content </code>CSS property is used with the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/%3Abefore\">:before</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/%3Aafter\">:after</a></code>\n pseudo-elements to generate content in an element.",
    "counter-increment": "The <code>counter-increment</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is used to increase the value of <a title=\"en/CSS_Counters\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS_Counters\">CSS Counters</a> by a given value. The counter's value can be reset using the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/counter-reset\">counter-reset</a></code>\n CSS property.",
    "counter-reset": "The <code>counter-reset</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is used to reset <a title=\"en/CSS_Counters\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS_Counters\">CSS Counters</a> to a given value.",
    "cursor": "The<code> cursor </code>CSS property specifies the mouse cursor displayed when the mouse pointer is over an element.",
    "direction": "The <code>direction</code> CSS property should be set to match the direction of the text: <code>rtl</code> for Hebrew or Arabic text and <code>ltr</code> for other scripts. This should normally be done as part of the document (e.g., using the <code>dir</code> attribute in HTML) rather than through direct use of CSS.",
    "display": "The <code>display</code> CSS property specifies the type of rendering box used for an element. In HTML, default <code>display</code> property values are taken from behaviors described in the HTML specifications or from the browser/user default stylesheet. The default value in XML is <code>inline</code>.",
    "empty-cells": "The <code>empty-cells </code>CSS property specifies how user agent should render borders and backgrounds around cells that have no visible content.",
    "float": "The <code>float</code> CSS property specifies that an element should be taken from the normal flow and placed along the left or right side of its container, where text and inline elements will wrap around it.",
    "font": "The <code>font</code> CSS property is either a shorthand property for setting <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-style\">font-style</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-variant\">font-variant</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-weight\">font-weight</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-size\">font-size</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/line-height\">line-height</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-family\">font-family</a></code>\n, or a way to set the element's font to a system font, using specific keywords.",
    "font-family": "The<code> font-family </code>CSS property allows for a prioritized list of font family names and/or generic family names to be specified for the selected element. Unlike most other CSS properties, values are separated by a comma to indicate that they are alternatives. The browser will select the first font on the list that is installed on the computer, or that can be downloaded using the information provided by a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/@font-face\">@font-face</a></code>\n at-rule.",
    "font-size": "The <code>font-size</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies the size of the font. The font size may, in turn, change the size of other items, since it is used to compute the value of <code>em</code> and <code>ex</code> length units.",
    "font-size-adjust": "The<code> font-size-adjust </code>CSS property specifies that font size should be chosen based on the height of lowercase letters rather than the height of capital letters.",
    "font-stretch": "The<code> font-stretch </code>CSS property selects a normal, condensed, or extended face from a font family.",
    "font-style": "The<code> font-style </code>CSS property allows<code> italic </code>or<code> oblique </code>faces to be selected within a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-family\">font-family</a></code>\n.<br> ",
    "font-variant": "The<code> font-variant </code>CSS property selects a<code> normal</code>, or<code> small-caps </code>face from a font family. Setting<code> font-variant </code>is also possible by using the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font\">font</a></code>\n shorthand.",
    "font-weight": "The <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/font-weight\">font-weight</a></code>\n <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies the weight or boldness of the font. However, some fonts are not available in all weights; some are available only on <code>normal</code> and <code>bold</code>.",
    "height": "The<code> height </code>CSS property specifies the height of the content area of an element. The <a title=\"en/CSS/Box_model#content\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/box_model#content\">content area</a> is <em>inside</em> the padding, border, and margin of the element.",
    "hyphens": "The <code>hyphens</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property tells the browser how to go about splitting words to improve the layout of text when line-wrapping.",
    "image-rendering": "The <code>image-rendering</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property provides a hint to the user agent about how to handle its image rendering.<br> <code>image-rendering </code>applies to scaled images (and other elements, see below). For example, if the natural size of the image is<em> 100×100px </em>but the page author specifies the dimensions to <code>200×200px</code> (or<code>50×50px</code>), then the image will be upscaled (or downscaled) to the new dimensions using the specified algorithm. Scaling may also apply due to user interaction (zooming).",
    "left": "The <code>left</code> CSS property specifies part of the position of positioned elements.",
    "letter-spacing": "The<code> letter-spacing </code>CSS property specifies spacing behavior between text characters.",
    "line-height": "On inline elements, the<code> line-height </code>CSS property specifies the height that is used in the calculation of the line box height.<br>\nOn block level elements,<code> line-height </code>specifies the minimal height of line boxes within the element.",
    "list-style": "The<code> list-style </code>CSS property is a shorthand property for setting <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style-type\">list-style-type</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style-image\">list-style-image</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style-position\">list-style-position</a></code>\n.",
    "list-style-image": "The<code> list-style-image </code>CSS property sets the image that will be used as the list item marker. It is often more convenient to use the shortcut <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style\">list-style</a></code>\n.",
    "list-style-position": "The<code> list-style-position </code>CSS property specifies the position of the marker box in the principal block box. It is often more convenient to use the shortcut <span class=\"lang lang-en\"><code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style\">list-style</a></code>\n</span>.",
    "list-style-type": "The<code> list-style-type </code>CSS property specifies appearance of a list item element. As it is the only one who defaults to <code>display:list-item</code>, this is usually a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/li\">&lt;li&gt;</a></code>\n element, but can be any element with this <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/display\">display</a></code>\n value.",
    "margin": "The<code> margin </code>CSS property sets the margin for all four sides. It is a shorthand to avoid setting each side separately with the other margin properties:<br>\n<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/margin-top\">margin-top</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/margin-right\">margin-right</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/margin-bottom\">margin-bottom</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/margin-left\">margin-left</a></code>\n.<br>\nNegative value are also allowed.",
    "margin-bottom": "The <code>margin-bottom</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the margin space required on the bottom of an element. A negative value is also allowed.",
    "margin-left": "The <code>margin-left</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the margin space required on the left side of an element. A negative value is also allowed.",
    "margin-right": "The <code>margin-right</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the margin space required on the right side of an element. A negative value is also allowed.",
    "margin-top": "The<code> margin-top </code>CSS property of an element sets the margin space required on the top of an element. A negative value is also allowed.",
    "marker-offset": "&nbsp;",
    "marks": "The <code>marks</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property adds crop and/or cross marks to the presentation of the document. <em>Crop marks</em> indicate where the page should be cut. <em>Cross marks</em> are used to align sheets.",
    "max-height": "The<code> max-height </code>CSS property is used to set the maximum height of a given element. It prevents the used value of the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/height\">height</a></code>\n property from becoming larger than the value specified for<code> max-height</code>.",
    "max-width": "The<code> max-width </code>CSS property is used to set the maximum width of a given element. It prevents the used value of the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/width\">width</a></code>\n property from becoming larger than the value specified for<code> max-width</code>.",
    "min-height": "The<code> min-height </code>CSS property is used to set the minimum height of a given element. It prevents the used value of the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/height\">height</a></code>\n property from becoming smaller than the value specified for<code> min-height</code>.",
    "min-width": "The<code> min-width </code>CSS property is used to set the minimum width of a given element. It prevents the used value of the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/width\">width</a></code>\n property from becoming smaller than the value specified for<code> min-width</code>.",
    "opacity": "The <code>opacity</code> CSS property specifies the transparency of an element, that is, the degree to which the background behind the element is overlaid.",
    "orphans": "The <code>orphans</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property refers to the <em>minimum</em> number of lines in a block container that must be left at the bottom of the page.&nbsp; This property is normally used to control how page breaks occur.",
    "outline": "The<code> outline </code>CSS property is a shorthand property for setting one or more of the individual outline properties <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/outline-style\">outline-style</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/outline-width\">outline-width</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/outline-color\">outline-color</a></code>\n in a single rule. In most cases the use of this shortcut is preferable and more convenient.",
    "outline-color": "The<code> outline-color </code>CSS property sets the color of the outline of an element. An outline is a line that is drawn around elements, outside the border edge, to make the element stand out.",
    "outline-offset": "The<code> outline-offset </code>CSS property is used to set space between an <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/outline\">outline</a></code>\n and the edge or border of an element. An outline is a line that is drawn around elements, outside the border edge.",
    "outline-style": "The<code> outline-style </code>CSS property is used to set the style of the outline of an element. An outline is a line that is drawn around elements, outside the border edge, to make the element stand out.",
    "outline-width": "The<code> outline-width </code>CSS property is used to set the width of the outline of an element. An outline is a line that is drawn around elements, outside the border edge, to make the element stand out:",
    "overflow": "The<code> overflow </code>CSS property specifies whether to clip content, render scroll bars or display overflow content of a block-level element.",
    "overflow-x": "The <code>overflow-x </code><a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies whether to clip content, render a scroll bar or display overflow content of a block-level element, when it overflows at the left and right edges.",
    "padding": "The<code> padding </code>CSS property sets the required padding space on all sides of an element. The <a title=\"http://developer.mozilla.org/en/CSS/Box_model#padding\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/Box_model#padding\">padding area</a> is the space between the content of the element and its border. Negative values are not allowed.",
    "padding-bottom": "The <code>padding-bottom</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the padding space required on the bottom of an element. The <a title=\"http://developer.mozilla.org/en/CSS/Box_model#padding\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/box_model#padding\">padding area</a> is the space between the content of the element and it's border. A negative value is not allowed.",
    "padding-left": "The <code>padding-left</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the padding space required on the left side of an element. The <a title=\"http://developer.mozilla.org/en/CSS/Box_model#padding\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/box_model#padding\">padding area</a> is the space between the content of the element and it's border. A negative value is not allowed.",
    "padding-right": "The <code>padding-right</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the padding space required on the right side of an element. The <a title=\"http://developer.mozilla.org/en/CSS/Box_model#padding\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/box_model#padding\">padding area</a> is the space between the content of the element and its border. Negative values are not allowed.",
    "padding-top": "The <code>padding-top</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property of an element sets the padding space required on the top of an element. The <a title=\"http://developer.mozilla.org/en/CSS/Box_model#padding\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/box_model#padding\">padding area</a> is the space between the content of the element and it's border. A negative values is not allowed.",
    "page-break-after": "The <code>page-break-after</code> CSS property adjusts page breaks <em>after</em> the current element.",
    "page-break-before": "The <code>page-break-before</code> CSS property adjusts page breaks <em>before</em> the current element.",
    "page-break-inside": "The <code>page-break-inside</code> CSS property adjusts page breaks <em>inside</em> the current element.",
    "perspective": "The <code>perspective</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property determines the distance between the z=0 plane and the user in order to give to the 3D-positioned element some perspective. Each 3D element that is placed between the z=0 and the user is enlarged, each 3D-element with z&lt;0 is shrinked. How much deformation is defined by the value of this property.",
    "perspective-origin": "The <code>perspective-origin</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property determines the position the viewer is looking at. It is used as the <em>vanishing point</em> by the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/perspective\">perspective</a></code>\n property.",
    "position": "The<code> position </code>CSS property chooses alternative rules for positioning elements, designed to be useful for scripted animation effects.",
    "quotes": "The <code>quotes</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property indicates how user agents should render quotation marks.",
    "resize": "The <code>resize</code> CSS property lets you control the resizability of an element.",
    "right": "The <code>right</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies part of the position of positioned elements.",
    "tab-size": "The <code>tab-size</code> CSS property is used to customize the width of a tab (<code>U+0009</code>) character.",
    "table-layout": "The <code>table-layout</code> CSS property defines the algorithm to be used to layout the table cells, rows, and columns.",
    "text-align": "The<code> text-align </code>CSS property describes how inline content like text is aligned in its parent block element.<code> text-align </code>does not control the alignment of block elements itself, only their inline content.",
    "text-align-last": "The <code>text-align-last</code> CSS property describes how the last line of a block or a line right before a forced line break is aligned.",
    "text-decoration": "The<code> text-decoration </code>CSS property is used to set the text formattings <code>underline, overline, line-through</code> and <code>blink</code>.",
    "text-decoration-color": "The <code>text-decoration-color</code> CSS property sets the color used when drawing underlines, overlines, or strike-throughs specified by <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/text-decoration-line\">text-decoration-line</a></code>\n. This is the preferred way to color these text decorations, rather than using combinations of other HTML&nbsp;elements.",
    "text-decoration-line": "The <code>text-decoration-line</code> CSS property sets what kind of line decorations are added to an element.",
    "text-decoration-style": "The <code>text-decoration-style</code> CSS property defines the style of the lines specified by <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/text-decoration-line\">text-decoration-line</a></code>\n. The style applies to all lines, there is no way to define different style for each of the line defined by <code>text-decoration-line</code>.",
    "text-indent": "The<code> text-indent </code>CSS property specifies how much horizontal space should be left before beginning of the first line of the text content of an element. Horizontal spacing is with respect to the left (or right, for right-to-left layout) edge of the containing block element's box.",
    "text-shadow": "The<code> text-shadow </code>CSS property adds shadows to text. It accepts a comma-separated list of shadows to be applied to the text and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/text-decoration\">text-decorations</a></code>\n of the element.",
    "text-transform": "The <code>text-transform</code> CSS property specifies how to capitalize an element's text. It can be used to make text appear in all-uppercase or all-lowercase, or with each word capitalized.",
    "top": "The <code>top</code> CSS property specifies part of the position of positioned elements. It has no effect on non-positioned elements.",
    "transform": "The <code>transform</code> CSS property lets you modify the coordinate space of the CSS visual formatting model. Using it, elements can be translated, rotated, scaled, and skewed according to the values set.",
    "transform-origin": "The <code>transform-origin</code> CSS property lets you modify the origin for transformations of an element. For example, the transform-origin of the <code>rotate()</code> function is the centre of rotation. (This property is applied by first translating the element by the negated value of the property, then applying the element's transform, then translating by the property value.)",
    "transform-style": "The <code>transform-style</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property determines if the children of the element are positioned in the 3D-space or are flattened in the plane of the element.",
    "transition": "The<code> transition </code><a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is a shorthand property for <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/transition-property\">transition-property</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/transition-duration\">transition-duration</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/transition-timing-function\">transition-timing-function</a></code>\n, and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/transition-delay\">transition-delay</a></code>\n.",
    "transition-delay": "The<code> transition-delay </code><a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies the amount of time to wait between a change being requested to a property that is to be transitioned and the start of the <a title=\"en/CSS/CSS transitions\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/CSS_transitions\">transition effect</a>.",
    "transition-duration": "The<code> transition-duration </code><a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies the number of seconds or milliseconds a transition animation should take to complete. By default, the value is 0s, meaning that no animation will occur.",
    "transition-property": "The <code>transition-property</code> CSS property is used to specify the names of CSS properties to which a <a title=\"en/CSS/CSS transitions\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/CSS_transitions\">transition effect</a> should be applied.",
    "transition-timing-function": "The<code> transition-timing-function </code>CSS property is used to describe how the intermediate values of the CSS&nbsp;properties being affected by a <a title=\"en/CSS/CSS transitions\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/CSS_transitions\">transition effect</a> are calculated. This in essence lets you establish an acceleration curve, so that the speed of the transition can vary over its duration.",
    "vertical-align": "The <code>vertical-align</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property specifies the vertical alignment of an inline or table-cell element.",
    "visibility": "The<code> visibility </code>CSS property is used for two things:",
    "white-space": "The<code> white-space </code>CSS property is used to to describe how whitespace inside the element is handled.",
    "widows": "where:",
    "width": "The<code> width </code>CSS property specifies the width of the content area of an element. The <a title=\"en/CSS/box_model#content\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS/box_model#content\">content area</a> is <em>inside</em> the padding, border, and margin of the element.",
    "word-spacing": "The<code> word-spacing </code>CSS property specifies spacing behavior between tags and words.",
    "word-wrap": "The <code>word-wrap</code> <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a> property is used to to specify whether or not the browser is allowed to break lines within words in order to prevent overflow when an otherwise unbreakable string is too long to fit.",
    "z-index": "The<code> z-index </code>CSS property specifies the z-order of an element and its descendants. When elements overlap, z-order determines which one covers the other. An element with a larger z-index generally covers an element with a lower one."
  },
  "html-element-docs": {
    "a": "The HTML Anchor Element (<code>&lt;a&gt;</code>) defines a hyperlink, the named target destination for a hyperlink, or both.",
    "abbr": "The HTML&nbsp;Abbreviation Element (<code>&lt;abbr&gt;</code>) represents an abbreviation and optionally provides a full description for it. If present, the <strong>title</strong> attribute must contain this full description and nothing else.",
    "address": "The HTML Address&nbsp;Element (<code>&lt;address&gt;)</code> may be used by authors to supply contact information for its nearest <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/article\">&lt;article&gt;</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/body\">&lt;body&gt;</a></code>\n ancestor; in the later case, it applies to the whole document.",
    "area": "The HTML <em>Area</em> element (<code>&lt;area&gt;</code>) defines a hot-spot region on an image, and optionally associates it with a hypertext link. This element is used only within a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/map\">&lt;map&gt;</a></code>\n element.",
    "article": "The <em>HTML Article Element</em> (<span style=\"font-family: Courier New;\">&lt;article&gt;</span>) represents a self-contained composition in a document, page, application, or site, which is intended to be independently distributable or reusable, e.g., in syndication. This could be a forum post, a magazine or newspaper article, a blog entry, a user-submitted comment, an interactive widget or gadget, or any other independent item of content.",
    "aside": "The <em>HTML Aside Element</em> (<span style=\"font-family: Courier New;\">&lt;aside&gt;</span>) represents a section of a page that consists of content that is tangentially related to the content around it, which could be considered separate from that content. Such sections are often represented as sidebars or as inserts; they often contains side explanation like a glossary definition, more loosely related stuff like advertisements, the biography of the author, or in web-applications, profile information or related blog links.",
    "audio": "The <code>audio</code> element is used to embed sound content in an HTML&nbsp;or XHTML document.&nbsp; The <code>audio</code> element was added as part of HTML5.",
    "b": "The HTML B Element (<code>&lt;b&gt;</code>) represents a span of text stylistically different from normal text, without a conveying any special importance or relevance. It is typically used for keywords in a summary, product names in a review, or other spans of text whose typical presentation would be boldfaced. Another example of its use is to mark the lead sentence of each paragraph of an article.",
    "base": "The HTML&nbsp;<em>Base</em> element (<code>&lt;base&gt;</code>) specifies the base URL to use for all relative URLs contained within a document.&nbsp;",
    "bdi": "The <em>HTML Bi-directional Isolation Element</em> (<code>&lt;bdi&gt;</code>) isolates a span of text that might be formatted in a different direction from other text outside it.",
    "bdo": "The HTML Bidirectional Override Element (<span style=\"font-family: Courier New;\">&lt;bdo&gt;</span>) is used to override the current directionality of text. It causes the directionality of the characters to be ignored in favor of the specified directionality.",
    "blockquote": "The HTML <em>Block Quotation</em> (<code>&lt;blockquote&gt;</code>) element indicates that the enclosed text is an extended quotation. Usually, this is rendered visually by indentation (see <a title=\"en/HTML/Element/blockquote#Notes\" rel=\"internal\" href=\"https://developer.mozilla.org/en/HTML/Element/blockquote#Notes\">Notes</a> for how to change it). A URL for the source of the quotation may be given using the <strong>cite</strong> attribute, while a text representation of the source can be given using the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/cite\">&lt;cite&gt;</a></code>\n element.",
    "body": "The HTML&nbsp;Body (<code>&lt;body&gt;</code>) element represents the main content of an HTML&nbsp;document. There is only one <code>&lt;body&gt;</code> element in a document.",
    "br": "The HTML&nbsp;<em>Line Break</em> element (<code>&lt;br&gt;</code>) produces a line break in text (carriage-return). It is useful for writing a poem or an address, where the division of lines is significant.&nbsp;",
    "button": "The <em>button</em> (<span style=\"font-family: Courier New;\">&lt;button&gt;</span>)&nbsp;HTML element represents a clickable button.",
    "canvas": "The <em>Canvas</em> (<code>&lt;canvas&gt;</code>) HTML element can be used to draw graphics via scripting (usually <a title=\"en/JavaScript\" rel=\"internal\" href=\"https://developer.mozilla.org/en/JavaScript\">JavaScript</a>). For example, it can be used to draw graphs, make photo compositions or even perform animations.",
    "caption": "The <em>HTML Table Caption Element</em> (<span style=\"font-family: Courier New;\">&lt;caption&gt;</span>) represents the title of a table. Though it is always the first descendant of a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/table\">&lt;table&gt;</a></code>\n, its styling, using CSS, may place it elsewhere, relative to the table.",
    "cite": "The HTML&nbsp;Citation Element (<span style=\"font-family: Courier New;\">&lt;cite&gt;</span>) contains the title of a work, such as a book, song, movie, TV&nbsp;show, sculpture, etc.",
    "code": "The HTML Code Element (<span style=\"font-family: Courier New;\">&lt;code&gt;</span>) represents a fragment of computer code. By default, it is displayed in the browser's default monospace font.",
    "col": "The <em>HTML Table Column Element</em> (<code>&lt;col&gt;</code>) defines a column within a table and is used for defining common semantic on all common cells. It is generally found within a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/colgroup\">&lt;colgroup&gt;</a></code>\n element.",
    "colgroup": "The <em>HTML Table Column Group Element</em> (<span style=\"font-family: Courier New;\">&lt;colgroup&gt;</span>) defines a group of column within a table.",
    "command": "The <code>command </code>element represents a command which the user can invoke.",
    "datalist": "The <em>HTML Datalist Element</em> (<span style=\"font-family: Courier New;\">&lt;datalist&gt;</span>) contains a set of <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/option\">&lt;option&gt;</a></code>\n elements that represent the possible options for the value of other controls.",
    "dd": "The Definition Description Element (<span style=\"font-family: Courier New;\">&lt;dd&gt;</span>) indicates the definition of a term in a definition list (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/dl\">&lt;dl&gt;</a></code>\n) element. This element can occur only as a child element of a definition list and it must follow a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/dt\">&lt;dt&gt;</a></code>\n element.",
    "del": "The Deleted Text (<code>&lt;del&gt;</code>) HTML&nbsp;element represents a range of text that has been deleted from a document. This element is often (but need not be) rendered with strike-through text.",
    "details": "The HTML <em>details</em> element (<code>&lt;details&gt;</code>) is used as a disclosure widget from which the user the retrieve additional information.",
    "dfn": "The Definition (<code>&lt;dfn&gt;</code>)&nbsp;HTML element represents the defining instance of a term.",
    "div": "The Document Division (&lt;div&gt;) HTML&nbsp;element is generic container for flow content, which does not inherently represent anything. It can be used to group elements for styling purposes (using the <strong>class</strong> or <strong>id</strong> attributes), or because they share attribute values, such as <strong>lang</strong>. It should be used only when no other semantic element (such as <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/article\">&lt;article&gt;</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/nav\">&lt;nav&gt;</a></code>\n) is appropriate.",
    "dl": "The HTML <em>Definition List</em> (<code>&lt;dl&gt;</code>) element encloses a list of pairs of terms and descriptions. A common use for this element is to implement a glossary.",
    "dt": "The HTML Definition Term Element (<span style=\"font-family: Courier New;\">&lt;dt&gt;</span>) identifies a term in a definition list. This element can occur only as a child element of a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/dl\">&lt;dl&gt;</a></code>\n. It is usually followed by a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/dd\">&lt;dd&gt;</a></code>\n element; however, multiple <code>&lt;dt&gt;</code> elements in a row indicate several terms that are all defined by the immediate next <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/dd\">&lt;dd&gt;</a></code>\n element.",
    "em": "The HTML Emphasis Element (<span style=\"font-family: Courier New;\">&lt;em&gt;</span>) marks text that has stress emphasis. The <code>&lt;em&gt;</code> element can be nested, with each level of nesting indicating a greater degree of emphasis.",
    "embed": "The <em>HTML&nbsp;Embed Element</em> (<code>&lt;embed&gt;</code>) represents an integration point for an external application or interactive content (in other words, a plug-in).",
    "fieldset": "The HTML&nbsp;element<em> fieldset </em>(<span style=\"font-family: Courier New;\">&lt;fieldset&gt;</span>) is used to group several controls as well as labels (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/label\">&lt;label&gt;</a></code>\n) within a web form.",
    "figcaption": "The <em>HTML Figcaption Element</em> (<code>&lt;figcaption&gt;</code>) represents a caption or a legend associated with a figure or an illustration described by the rest of the data of the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/figure\">&lt;figure&gt;</a></code>\n element which is its immediate ancestor which means <code>&lt;figcaption&gt;</code> can be the first or last element inside a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/figure\">&lt;figure&gt;</a></code>\n block.&nbsp;Also, the <em>HTML Figcaption Element&nbsp;</em>is optional; if not provided, then the parent figure element will have no caption.",
    "figure": "The <em>HTML Figure Element&nbsp;</em>(<span style=\"font-family: Courier New;\">&lt;figure&gt;</span>) represents self-contained content, frequently with a caption&nbsp;(<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/figcaption\">&lt;figcaption&gt;</a></code>\n)<em><code>,</code></em> and is&nbsp;typically referenced as a single unit. While it is related to the main flow, its position is independent of the main flow. Usually this is an image, an illustration, a diagram, a code snippet, or a schema that is referenced in the main text, but that can be moved to another page or to an appendix without affecting the main flow.",
    "footer": "The <em>HTML Footer Element</em> (<span style=\"font-family: Courier New;\">&lt;footer&gt;</span>) represents a footer for its nearest sectioning content or <a title=\"en/Sections and Outlines of an HTML5 document#sectioning root\" rel=\"internal\" href=\"https://developer.mozilla.org/en/Sections_and_Outlines_of_an_HTML5_document#sectioning_root\">sectioning root</a> element (i.e, its nearest parent <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/article\">&lt;article&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/aside\">&lt;aside&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/nav\">&lt;nav&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/section\">&lt;section&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/blockquote\">&lt;blockquote&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/body\">&lt;body&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/details\">&lt;details&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/fieldset\">&lt;fieldset&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/figure\">&lt;figure&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/td\">&lt;td&gt;</a></code>\n). A footer typically contains information about the author of the section, copyright data or links to related documents.",
    "form": "The <em>form</em> (&lt;form&gt;) HTML&nbsp;element represents a section of document that contains interactive controls that enable a user to submit information to a web server.",
    "h1": "<strong>Heading</strong> elements implement six levels of document headings, <code>&lt;h1&gt;</code> is the most important and <code>&lt;h6&gt;</code> is the least. A heading element briefly describes the topic of the section it introduces. Heading information may be used by user agents, for example, to construct a table of contents for a document automatically.",
    "head": "The HTML <code>&lt;head&gt;</code> element represents a collection of metadata about the document, including links to or definitions of scripts and style sheets.",
    "header": "The <em>HTML Header Element</em> (<code>&lt;header&gt;</code>) represents a group of introductory or navigational aids. It may contain some heading elements but also other elements like a logo, wrapped section's header, a search form, and so on.",
    "hgroup": "The <em>HTML Headings Group Element</em> (<span style=\"font-family: Courier New;\">&lt;hgroup&gt;</span>) represents the heading of a section. It defines a single title that participates in <a title=\"en/Sections and Outlines of an HTML5 document\" rel=\"internal\" href=\"https://developer.mozilla.org/en/Sections_and_Outlines_of_an_HTML5_document\">the outline of the document</a> as the heading of the implicit or explicit section that it belongs too.",
    "hr": "In \n<span style=\"border: 1px solid rgb(129, 129, 250); background-color: rgb(174, 218, 229); font-size: x-small; white-space: nowrap; padding: 2px;\"><a rel=\"custom\" href=\"/en/HTML/HTML5\">HTML5</a></span> the &lt;hr&gt; element represents a thematic break between paragraph-level elements (for example, a change of scene in a story, or a shift of topic with a section). In previous versions of HTML, it represented a horizontal rule. It may still be displayed as a horizontal rule in visual browsers, but is now defined in semantic terms, rather than presentational terms.",
    "html": "The HTML root element (<span style=\"font-family: Courier New;\">&lt;html&gt;</span>) represents the root of an HTML or XHTML document. All other elements must be descendants of this element.",
    "i": "The HTML Offset Text (or Italics) Element (<span style=\"font-family: Courier New;\">&lt;i&gt;</span>) represents a range of text that is set off from the normal text for some reason, for example, technical terms, foreign language phrases, or fictional character thoughts. It is typically displayed in italic type.",
    "iframe": "The HTML&nbsp;inline frame element (<code>&lt;iframe&gt;</code>) represents a nested browsing context, effectively embedding another HTML page into the current page. Each browsing context has its own session history and active document. The browsing context that contains the embedded content is called the <dfn id=\"parent\">parent</dfn> browsing context. The <dfn id=\"top-level\">top-level</dfn> browsing context (which has no parent) is typically the browser window.",
    "img": "The HTML Image Element (<code>&lt;img&gt;</code>) represents an image to the document.",
    "input": "The <em>input</em> (<code>&lt;input&gt;</code>) element is used to create interactive controls for web-based forms.",
    "ins": "The <em>HTML&nbsp;Inserted Text</em> (<code>&lt;ins&gt;</code>) HTML represents a range of text that has been added to a document.",
    "kbd": "The HTML Keyboard Input Element (<span style=\"font-family: Courier New;\">&lt;kbd&gt;</span>) produces an inline element displayed in the browser's default monotype font. This element is used to identify user input.",
    "keygen": "The HTML <code>keygen</code> element exists to facilitate generation of key material, and submission of the public key as part of an HTML form. This mechanism is designed for use with Web-based certificate management systems. It is expected that the <code>keygen</code> element will be used in an HTML form along with other information needed to construct a certificate request, and that the result of the process will be a signed certificate.",
    "label": "The <em>HTML Label Element</em> (<code>&lt;label&gt;</code>) represents a caption for an item in a user interface. It can be associated with a control either by using the <code>for</code> attribute, or by placing the control element inside the <code>label</code> element. Such a control is called the <em>labeled control</em> of the label element.",
    "legend": "The <em>HTML Legend Field Element</em> (<span style=\"font-family: Courier New;\">&lt;legend&gt;</span>) represents a caption for the content of its parent <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/fieldset\">&lt;fieldset&gt;</a></code>\n.",
    "li": "The <em>HTML List item element</em> (<code>&lt;li&gt;</code>) is used to represent a list item. It should be contained in an ordered list (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/ol\">&lt;ol&gt;</a></code>), an unordered list (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/ul\">&lt;ul&gt;</a></code>) or a menu (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/menu\">&lt;menu&gt;</a></code>), where it represents a single entity in that list.",
    "link": "The <em>HTML Link Element</em> (&lt;link&gt;) specifies relationships between the current document and other documents. Possible uses for this element include defining a relational framework for navigation and linking the document to a style sheet.",
    "map": "The HTML <em>Map</em> element (<code>&lt;map&gt;</code>) is used with <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/area\">&lt;area&gt;</a></code>\n elements to define a image map.",
    "mark": "The <em>HTML Mark Element</em> (<span style=\"font-family: Courier New;\">&lt;mark&gt;</span>) represents highlighted text, i.e., a run of text marked for reference purpose, due to its <em>relevance</em> in a particular context. For example it can be used in a page showing search results to highlight every instance of the searched for word.",
    "menu": "The HTML <em>menu</em> element (<code>&lt;menu&gt;</code>) represents an unordered list of menu choices, or commands.",
    "meta": "The <em>HTML Meta Element</em> (<code>&lt;meta&gt;</code>) represents any metadata information which cannot be represented using one of the other meta-related element (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/base\">&lt;base&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/link\">&lt;link&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/script\">&lt;script&gt;</a></code>\n, <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/style\">&lt;style&gt;</a></code>\n or <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/title\">&lt;title&gt;</a></code>\n). According to the attributes set, the kind of metadata can be one of the following:",
    "meter": "The HTML <em>meter</em> element (<code>&lt;meter&gt;</code>) represents either a scalar value within a known range or a fractional value.",
    "nav": "The <em>HTML Navigation Element</em> (<code>&lt;nav&gt;</code>) represents a section of a page that links to other pages or to parts within the page: a section with navigation links.",
    "noscript": "The HTML NoScript Element (<code>&lt;noscript&gt;</code>) defines a section of html to be inserted if a script type on the page is unsupported or if scripting is currently turned off in the browser.",
    "object": "The Embedded Object (&lt;object&gt;) element represents an external resource, which can be treated as an image, a nested browsing context, or a resource to be handled by a plugin.",
    "ol": "The HTML <em>ordered list</em> element (<code>&lt;ol&gt;</code>) represents an ordered list of items. Typically, ordered-list items are displayed with a preceding numbering, which can be of any form, like numerals, letters or Romans numerals or even simple bullets. This numbered style is not defined in the HTML description of the page, but in its associated CSS, using the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style-type\">list-style-type</a></code>\n property.",
    "optgroup": "In a web form, the HTML <em>optgroup</em> element (&lt;optgroup&gt;) creates a grouping of options within a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/select\">&lt;select&gt;</a></code>\n element.",
    "option": "In a web form, the HTML<em> option </em>element (<span style=\"font-family: Courier New;\">&lt;option&gt;</span>) is used to create a control representing an item within a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/select\">&lt;select&gt;</a></code>\n, an <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/optgroup\">&lt;optgroup&gt;</a></code>\n or a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/datalist\">&lt;datalist&gt;</a></code>\n HTML5 element.",
    "output": "The <em>output</em> (&lt;output&gt;) element represents the result of a calculation.",
    "p": "<strong>Paragraph</strong> element (&lt;p&gt;) represents a paragraph. It is the most commonly used block-level element.",
    "param": "<strong>Parameter </strong>element which defines parameters for <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/object\">&lt;object&gt;</a></code>\n.",
    "pre": "This element represents preformatted text. Text within this element is typically displayed in a non-proportional font exactly as it is laid out in the file. Whitespaces inside this element are displayed as typed.",
    "progress": "The HTML <em>progress</em> (<code>&lt;progress&gt;</code>) element is used to view the completion progress of a task. While the specifics of how it's displayed is left up to the browser developer, it's typically displayed as a progress bar.",
    "q": "The <strong>quote</strong> element indicates that the enclosed text is a short inline quotation.",
    "s": "The <em>HTML&nbsp;Strikethrough Element</em> (<span style=\"font-family: Courier New;\">&lt;s&gt;</span>) renders text with a strike-through, or a line through it. Use the <code>&lt;s&gt;</code> element to represent things that are no longer relevant or no longer accurate. However, <code>&lt;s&gt;</code> is not appropriate when indicating document edits; for that, use the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/del\">&lt;del&gt;</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/ins\">&lt;ins&gt;</a></code>\n elements, as appropriate.",
    "samp": "The HTML Sample Text Element (<span style=\"font-family: Courier New;\">&lt;samp&gt;</span>) produces an inline element displayed in the browser's default monotype font (Lucida Console). This element was intended to identify sample output from a computer program.",
    "script": "The <code>script</code> element is used to embed or reference an executable script within an <abbr title=\"Hypertext Markup Language\">HTML</abbr> or <abbr title=\"Extensible Hypertext Markup Language\">XHTML</abbr> document.",
    "section": "The <em>HTML Section Element</em> (<code>&lt;section&gt;</code>) represents a generic section of a document, i.e., a thematic grouping of content, typically with a heading.",
    "select": "The <em>select</em> (<code>&lt;select&gt;</code>) HTML element represents a control that presents menu of options. The options within the menu are represented by <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/option\">&lt;option&gt;</a></code>\n elements, which can be grouped by <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/optgroup\">&lt;optgroup&gt;</a></code>\n elements. Options can be pre-selected for the user.",
    "small": "The HTML Small Element (<span style=\"font-family: Courier New;\">&lt;small&gt;</span>) makes the text <em>font size</em> one size smaller (for example, from large to medium, or from small to x-small) down to the browser's minimum font size.",
    "source": "The <code>source</code> element is used to specify multiple media resources for <code> audio</code> and <code>video</code> elements in HTML5. It is an empty element. It is commonly used to serve the same media in <a title=\"En/Media formats supported by the audio and video elements\" rel=\"internal\" href=\"https://developer.mozilla.org/En/Media_formats_supported_by_the_audio_and_video_elements\">multiple formats supported by different browsers</a>.",
    "span": "This HTML element is a generic inline container for phrasing content, which does not inherently represent anything. It can be used to group elements for styling purposes (using the <strong>class</strong> or <strong>id</strong> attributes), or because they share attribute values, such as <strong>lang</strong>. It should be used only when no other semantic element is appropriate. &lt;span&gt; is very much like a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/div\">&lt;div&gt;</a></code>\n element, but <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/div\">&lt;div&gt;</a></code>\n is a block-level element whereas a &lt;span&gt; is an inline element.",
    "strong": "The HTML Strong Element (<span style=\"font-family: Courier New;\">&lt;strong&gt;</span>) gives text strong emphasis, typically this is displayed in bold.",
    "style": "Style element contains style information for a document. Style information should go inside of this element, usually in the CSS language (see <a title=\"CSS\" rel=\"internal\" href=\"https://developer.mozilla.org/en/CSS\">CSS</a>).",
    "sub": "The <em>HTML Subscript Element</em> (<code>&lt;sub&gt;</code>) defines a span of text that should be displayed, for typographic reasons, lower, and often smaller, than the main span of text.",
    "summary": "The HTML <em>summary </em>element (<code>&lt;summary&gt;</code>) is used as a summary, caption or legend for the content of a <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/details\">&lt;details&gt;</a></code>\n element.",
    "sup": "The <em>HTML Superscript Element</em> (<code>&lt;sup&gt;</code>) defines a span of text that should be displayed, for typographic reasons, higher, and often smaller, than the main span of text.",
    "table": "The <em>HTML Table Element </em>(<code>&lt;table&gt;</code>) represents data in two dimensions or more.",
    "tbody": "The <em>HTML Table Body Element</em> (<code>&lt;tbody&gt;</code>) defines a set of rows defining the body of the table. Though not mandatory, as the rows of the body can be defined as <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/tr\">&lt;tr&gt;</a></code>\n elements children of the parent <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/table\">&lt;table&gt;</a></code>\n element, if present, all <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/tr\">&lt;tr&gt;</a></code>\n elements part of the body must be included into a unique <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/tbody\">&lt;tbody&gt;</a></code>\n element.",
    "td": "The <em>HTML Table Cell Element</em> (<code>&lt;td&gt;</code>) defines a cell that content data.",
    "textarea": "The <em>textarea</em> (<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/textarea\">&lt;textarea&gt;</a></code>\n) HTML element represents a multi-line plain-text editing control.",
    "tfoot": "The <em>HTML Table Foot Element</em> (<code>&lt;tfoot&gt;</code>) defines a set of rows summarizing the columns of the table.",
    "th": "The <em>HTML Table Header Cell Element</em> (<code>&lt;th&gt;</code>) defines a cell that is a header for a group of cells of a table. The group of cells that the header refers to is defined by the \n\n<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/th#attr-scope\">scope</a></code>\n and \n\n<code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/th#attr-headers\">headers</a></code>\n attribute.",
    "thead": "The <em>HTML Table Head Element</em> (<code>&lt;thead&gt;</code>) defines a set of rows defining the head of the columns of the table.",
    "time": "The HTML <em>time</em> element (<code>&lt;time&gt;</code>) represents either time on a 24-hour clock or a precise date in the <a class=\"external\" title=\"http://en.wikipedia.org/wiki/Gregorian_calendar\" rel=\"external\" href=\"http://en.wikipedia.org/wiki/Gregorian_calendar\" target=\"_blank\">Gregorian calendar</a> (with optional time and timezone information).",
    "title": "The <em>HTML Title Element</em> (<code>&lt;title&gt;</code>) defines the title of the document, shown in a browser's title bar or on the page's tab. It can only contain text and any contained tags are not interpreted.",
    "tr": "The <em>HTML Table Row Element</em> (<code>&lt;tr&gt;</code>) defines a row of cells in a table. Those can be a mix of <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/td\">&lt;td&gt;</a></code>\n and <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/HTML/Element/th\">&lt;th&gt;</a></code>\n elements.",
    "u": "The <em>HTML Underline Element</em> (<span style=\"font-family: Courier New;\">&lt;u&gt;</span>) renders text with an underline, a line under the baseline of its content.",
    "ul": "The HTML <em>unordered list</em> element (<code>&lt;ul&gt;</code>) represents an unordered list of items, namely a collection of items that do not have a numerical ordering, and their order in the list is meaningless. Typically, unordered-list items are displayed with a bullet, which can be of several forms, like a dot, a circle or a squared. The bullet style is not defined in the HTML description of the page, but in its associated CSS, using the <code><a rel=\"custom\" href=\"https://developer.mozilla.org/en/CSS/list-style-type\">list-style-type</a></code>\n property.",
    "var": "The HTML Variable Element (<code>&lt;var&gt;</code>) represents a variable in a mathematical expression or a programming context.",
    "video": "The HTML&nbsp; <code>&lt;video&gt;</code> element is used to embed video content in an HTML&nbsp;or XHTML document.",
    "wbr": "The <em>Word Break Opportunit</em><em>y</em> (<code>&lt;wbr&gt;</code>) HTML element represents a position within text where the browser may optionally break a line, though its line-breaking rules would not otherwise create a break at that location."
  },
  "css-selector-docs": "This is a CSS selector. It describes the kinds of HTML elements that a CSS rule's style will be applied to."
}});
